
.player-ui {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
}

.player-ui > div {
    width: 100%;
    height: 100%;
    display: block; /* for 4:3 aspect ratio so the video centers on screen with black letterboxing */
}

.player-ui video {
    background-color: black;
}

.player-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
}

#captions-container-outer {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    box-sizing: border-box;
    padding-top: 0;
    padding-bottom: 0;
    transition: padding cubic-bezier(.4,0,.6,1) 50ms;
}

#captions-container-outer.condensed {
    padding-top: 10rem;
    padding-bottom: 10rem;
}

#captions-container {
    position: relative;
    width: 100%;
    height: 100%;
}

#captions-container * {
    box-sizing: border-box;
}

.player-overlay #player-dimmer {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-color: #00000032;
    opacity: 1;
    transition: opacity cubic-bezier(.4,0,.6,1) 150ms;
}

.player-overlay #player-dimmer.hidden {
    opacity: 0;
}

.player-overlay #player-dimmer > :first-child {
    width: 100%;
    height: 20rem;
}

.player-overlay #player-dimmer > :last-child {
    width: 100%;
    height: 25rem;
    opacity: 0.5;
}

.player-overlay #media-title {
    position: absolute;
    top: 2.5rem;
    left: 0;
    width: 100%;
    height: fit-content;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    color: white;
    text-shadow: 1px 1px 4px rgba(0, 0, 0, 0.5);
    opacity: 1;
    transition: opacity cubic-bezier(.4,0,.6,1) 150ms;
    z-index: 2;
}

.player-overlay #media-title.hidden {
    opacity: 0;
}

.player-overlay #media-title > div {
    width: fit-content;
    max-width: 50%;
}

.player-overlay #media-title:not(.hidden) > div {
    pointer-events: all;
}

.player-overlay #media-title > div:first-child {
    font-size: 3rem;
    font-weight: 500;
    line-height: 1.25em;
}

.player-overlay #media-title > div:last-child {
    font-size: 2.25rem;
    font-weight: 400;
    line-height: 1.375em;
    color: #FAFAFACF;
    margin-top: 0.5rem;
}

.player-overlay #ad-label-container {
    position: absolute;
    left: 3rem;
    top: 3rem;
    background-color: #171E22C0;
    border-radius: 4rem;
    padding: 1.25rem 1.5rem;
    box-sizing: border-box;
    pointer-events: all;
}

.player-overlay #ad-label-container.hidden {
    display: none;
}

.player-overlay #ad-label-container > :first-child {
    color: #FC6B11;
    font-size: 2rem;
    line-height: 1em;
    font-weight: 500;
}

.player-overlay #ad-label-container > :last-child {
    color: #FAFAFAC2;
    font-family: Roboto;
    font-size: 1.75rem;
    line-height: 1em;
    font-weight: 300;
    margin-left: 0.5rem;
}

.player-overlay #controls {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-end;
    opacity: 1;
    transition: opacity cubic-bezier(.4,0,.6,1) 150ms;
    padding-bottom: 1.5rem;
    box-sizing: border-box;
}

.player-overlay #controls.hidden {
    opacity: 0;
}

.player-overlay .controls-upper-container {
    width: 100%;
    display: flex;
    align-items: flex-end;
}

.player-overlay .player-position {
    position: absolute;
    width: 100%;
    display: flex;
    justify-content: space-between;
    padding: 0 3rem;
    color: #FAFAFA8C;
    font-family: Roboto;
    font-size: 1.75rem;
    line-height: 1em;
    font-weight: 300;
    box-sizing: border-box;
}

.player-overlay #controls:not(.hidden) .player-position > div {
    pointer-events: all;
}

.player-overlay .play-pause-container {
    width: 100%;
    display: flex;
    justify-content: center;
}

.player-overlay #play-pause-button {
    width: 4.5rem;
    height: 4.5rem;
    border-radius: 3rem;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #FAFAFA;
    cursor: pointer;
}

.player-overlay #controls:not(.hidden) #play-pause-button {
    pointer-events: all;
}

.player-overlay #play-pause-button > img {
    width: 2.75rem;
    height: 2.75rem;
}

.player-overlay #play-pause-button #play-icon {
    position: relative;
    left: 0.25rem;
}

.player-overlay #play-pause-button .hidden {
    display: none;
}

.player-overlay #seek-bar {
    height: 3rem;
    width: 100%;
    display: flex;
    align-items: center;
    padding: 0 2.375rem;
    box-sizing: border-box;
}

.player-overlay #controls:not(.hidden) #seek-bar {
    pointer-events: all;
}

.player-overlay #seek-bar > .ui-slider {
    width: 100%;
    height: 100%;
}

.player-overlay #seek-bar > .ui-slider .ui-slider-base {
    background-color: #FAFAFA36;
}

/* #main-video, #enjoy-custom-ad-player {
    width: 100%;
    height: 100%;
    background-color: black;
    z-index: 1;
} */

/* Screen sometimes appears black while ad is playing unless the video's black background color is cleared or something */
/* video:not(#main-video):not(#enjoy-custom-ad-player) {
    background-color: unset !important;
} */

/* #app-main .enjoySettingsIcon {
    display: none;
}

#app-main .enjoySettingsContainer > div {
    padding: 0.5em 0 0.5em 0;
}

#app-main .enjoy-play-button > svg, #app-main .enjoy-pause-button > svg {
    display: block;
    width: 2.5rem;
    height: 3rem;
}
 */
